/**
 * This file is in the public domain.
 * You may do whatever you want with it.
 */
package org.finance.data;

import org.prevayler.*;
import java.lang.reflect.*;
import org.prevayler.implementation.*;
import java.io.*;
import org.prevaylerwrapper.*;

public class FinanceProxy {

  private static boolean deleteOld = true;

  private static Finances instance = null;

  public static Finances getFinanceProxy() throws Exception {
    if (instance == null) {
      instance = (Finances)CommandProxy.newProxyInstance(
        Finances.class,
        FinancesImpl.class.getName(),
        "finances",
        deleteOld
      );
    }
    return instance;
  }

}