/**
 * This file is in the public domain.
 * You may do whatever you want with it.
 */
package org.finance.data;

import org.calendar.*;
import java.io.*;

public class Payment implements Serializable {

  private long date;
  private long pureValue;
  private String name;

  public Payment(SimpleDate date, String name, long pureValue) {
    this.date = date.toLong();
    this.pureValue = pureValue;
    this.name = name;
  }

  public SimpleDate getDate() {
    return new SimpleDate(date);
  }

  public String getName() {
    return name;
  }

  public long getPureValue() {
    return pureValue;
  }

  public long getDateAsLong() {
    return date;
  }

}