package org.finance.gui.table;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class FocusTextField extends JTextField {

  private static class FocusListenerImpl extends FocusAdapter {
    public void focusGained(FocusEvent e) {
      Object source = e.getSource();
      if (source instanceof FocusTextField) {
        FocusTextField field = (FocusTextField)source;
        field.selectAll();
      }
    }
  }

  public FocusTextField() {
    super("");
    this.addFocusListener(new FocusListenerImpl());
  }

}