package org.finance.gui.table;

import java.awt.*;
import javax.swing.*;

public class VerticalPanel extends JPanel {

  private int index = 0;
  private Insets insets = new Insets(0, 0, 0, 0);
  private JPanel panel = new JPanel(new GridBagLayout());

  public VerticalPanel() {
    super(new BorderLayout());
    super.add(panel, BorderLayout.NORTH);
  }

  public Component add(Component component) {
    panel.add(component, new GridBagConstraints(0, index, 1, 1, 1.0, 0.0,
      GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, insets, 0, 0));
    ++index;
    return this;
  }

}