/**
 * This file is in the public domain.
 * You may do whatever you want with it.
 */
package org.prevaylerwrapper;

import java.util.Hashtable;
import java.util.Vector;

public class DefaultCommandSystem implements CommandSystem {

  protected Data data;

  public void takeSnapshot() {
    throw new RuntimeException("Not Implemented!");
  }

  public void print() {
    throw new RuntimeException("Not Implemented!");
  }

  public void setData(Data data) {
    this.data = data;
  }

  public Hashtable getHashtable(String key) {
    Hashtable result = (Hashtable)data.get(key);
    if (result == null) {
      result = new Hashtable();
      data.put(key, result);
    }
    return result;
  }

  public Vector getVector(String key) {
    Vector result = (Vector)data.get(key);
    if (result == null) {
      result = new Vector();
      data.put(key, result);
    }
    return result;
  }

}