@echo off

cd ..

echo Deleting Temp Classes...
rd /S /Q tempclasses
mkdir tempclasses

echo Deleting Old JARs...
rd /S /Q jars
mkdir jars

echo Building Finances...
cd build
javac -target 1.1 -classpath ..\lib\prevayler.jar;..\tempclasses;..\src -d ..\tempclasses ..\src\org\finance\gui\Main.java
cd ..

echo Making JARs...
cd tempclasses
jar cfM finance.jar .
move finance.jar ..\jars

cd ..
echo Cleaning Up...
rd /S /Q tempclasses
rd /S /Q release

echo Making Release...
jar cfM sources.jar .
mkdir release
move sources.jar .\release\sources.zip
mkdir tempclasses
copy .\src\rel_finance.bat .\tempclasses\finance.bat
copy .\version.txt .\tempclasses
copy .\license.txt .\tempclasses
copy .\lib\*.* .\tempclasses
copy .\jars\*.* .\tempclasses
cd tempclasses
jar cfM finances.jar .
cd ..
move .\tempclasses\finances.jar .\release\finances.zip

echo Cleaning Up...
rd /S /Q tempclasses

cd release
copy ..\license.txt .
jar cfM finances.1.0.5.zip .
del finances.zip
del sources.zip

cd ..
cd build

echo Done.
pause