/**
 * This file is in the public domain.
 * You may do whatever you want with it.
 */
package org.finance.gui.table;

import org.calendar.*;
import java.util.*;
import org.finance.data.*;

public interface Updater {

  public void update();
  public void updateDailyPlanningTable();
  public SimpleDate getToday();
  public Comparator getComparator();
  public Comparator getSComparator();
  public Finances getFinances();

}